## GtkHButtonBox GtkHButtonBox |

## Functions

GtkWidget * | gtk_hbutton_box_new ()
gint | gtk_hbutton_box_get_spacing_default ()
GtkButtonBoxStyle | gtk_hbutton_box_get_layout_default ()
void | gtk_hbutton_box_set_spacing_default ()
void | gtk_hbutton_box_set_layout_default ()

## Types and Values

struct | GtkHButtonBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkButtonBox
                                ╰── GtkHButtonBox

## Implemented Interfaces

GtkHButtonBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_hbutton_box_new ()

    GtkWidget *
    gtk_hbutton_box_new (void);

### gtk_hbutton_box_get_spacing_default ()

    gint
    gtk_hbutton_box_get_spacing_default (void);

`gtk_hbutton_box_get_spacing_default` is deprecated and should not be used in newly-written code.

### gtk_hbutton_box_get_layout_default ()

    GtkButtonBoxStyle
    gtk_hbutton_box_get_layout_default (void);

`gtk_hbutton_box_get_layout_default` is deprecated and should not be used in newly-written code.

### gtk_hbutton_box_set_spacing_default ()

    void
    gtk_hbutton_box_set_spacing_default (gint spacing);

`gtk_hbutton_box_set_spacing_default` is deprecated and should not be used in newly-written code.

### gtk_hbutton_box_set_layout_default ()

    void
    gtk_hbutton_box_set_layout_default (GtkButtonBoxStyle layout);

`gtk_hbutton_box_set_layout_default` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkHButtonBox

    struct GtkHButtonBox;